1. CarrierPortal
SpotGo
  • Getting started
    • Introduction
    • Authentication
    • Opportunities vs Orders
    • Mappings
  • Order
    • Orders Processing
    • Integrating Your Order Document Processing: A Guide to Best Practices
    • /api/v1/orders/file
      POST
    • /api/v2/orders/{orderId}
      GET
    • /api/v1/orders/{orderId}/file
      GET
  • Opportunity
    • Opportunities (Freight Qoutes)
    • /api/v1/opportunities
      POST
    • /api/v1/opportunities/file
      POST
    • /api/v1/opportunities/image
      POST
    • /api/v1/opportunities/{opportunityId}
      GET
    • /api/v1/opportunities/{opportunityId}/custom
      GET
    • /api/v1/opportunities/{opportunityId}/default
      GET
  • Freight
    • Freight publish
    • /api/v1/freights/share
    • /api/v1/freights
    • /api/v1/freights
    • /api/v1/freights/{freightId}
    • /api/v1/freights/{freightId}
    • /api/v1/freights/{freightId}
  • Vehicles
    • /api/v1/vehicles
    • /api/v1/vehicles
    • /api/v1/vehicles/{vehicleId}
    • /api/v1/vehicles/{vehicleId}
    • /api/v1/vehicles/{vehicleId}
  • Feedback
    • /api/v1/feedback
  • Webhook
    • Webhooks flow
    • /api/v1/webhooks
    • /api/v1/webhooks/{subscriptionId}/reset
    • /api/v1/webhooks
    • /api/v1/webhooks/{subscriptionId}
    • /api/v1/webhooks/{subscriptionId}/notify
  • Documents
    • Documents processing
    • /api/v1/documents
    • /api/v1/documents/{documentId}/file
    • /api/v1/documents/invoice/{documentId}
    • /api/v1/documents/receipt/{documentId}
    • /api/v1/documents/cmr/{documentId}
    • /api/v1/documents/insurance/{documentId}
  • AccountManagement
    • /api/v1/accounts
    • /api/v1/accounts/block
  • DriversDocuments
    • /api/v1/drivers-documents
    • /api/v1/drivers-documents/{documentId}
  • CarrierPortal
    • Integration flows
    • Document Upload
      POST
    • /api/v1/orders
      POST
    • /api/v1/orders/{orderId}
      PUT
    • /api/v1/orders/{orderId}
      DELETE
    • /api/v1/orders/{orderId}
      GET
    • /api/v1/orders/upsert
      POST
    • /api/v1/orders/query
      POST
    • /api/v1/orders/{orderId}/documents/{documentId}/content
      GET
    • /api/v1/orders/{orderId}/documents/{documentId}/status
      POST
  • Schemas
    • Schemas
      • ApiKeyAuthentication
      • AccountBlockSubmitModel
      • InsuranceApiModel
      • FreightShareSubmitModel
      • FreightViewModel
      • DriverDocumentTypeResponse
      • BasicAuthentication
      • AccountSubmitModel
      • InsuranceCompanyApi
      • FreightShareViewModel
      • FreightsViewModel
      • DriversDocumentApiModel
      • CustomOpportunityApiAddressModel
      • AccountViewModel
      • InsuranceResponseViewModel
      • DriversDocumentsConvertViewModel
      • CustomOpportunityApiDescriptionModel
      • DriversDocumentsViewModel
      • CustomOpportunityApiGeoCoordinateModel
      • CustomOpportunityApiLocationModel
      • CustomOpportunityApiModel
      • CustomOpportunityApiRequirementsModel
      • CustomOpportunityApiViewModel
      • CustomerCustomerListResponse
      • CustomerCustomerViewModel
      • CustomerCustomersSubmitModel
      • CustomerSubmitModel
      • DocumentFileType
      • DocumentStatus
      • DocumentsConvertSubmitModel
      • DocumentsConvertViewModel
      • ErrorItemViewModel
      • ErrorViewModel
      • FeedbackSubmitItemModel
      • FeedbackSubmitModel
      • FeedbackTransactionType
      • FeedbackType
      • FreightCreateViewModel
      • FreightSubmitModel
      • FreightUpdateSubmitModel
      • InvoiceApiAddress
      • InvoiceApiLine
      • InvoiceApiModel
      • InvoiceApiParty
      • InvoiceApiTotal
      • InvoiceResponseViewModel
      • LoadingSideTypes
      • LoadingType
      • LocationAddressSubmitModel
      • LocationCoordinatesSubmitModel
      • LocationPeriodSubmitModel
      • LocationSubmitModel
      • Oauth2Authentication
      • OpportunityApiAddress
      • OpportunityApiCargo
      • OpportunityApiCoordinates
      • OpportunityApiLocation
      • OpportunityApiModel
      • OpportunityApiPayment
      • OpportunityApiPeriod
      • OpportunityApiRequirements
      • OpportunityApiTemperature
      • OpportunityApiTransitInfo
      • OpportunityApiViewModel
      • OpportunityResultModel
      • OpportunityStatus
      • OpportunitySubmitModel
      • OrderConvertSubmitModel
      • OrderConvertViewModel
      • OrderDataViewModel
      • OrderStatus
      • OrderTypes
      • OrderViewCargo
      • OrderViewLocation
      • OrderViewLocationCoordinates
      • OrderViewParty
      • OrderViewPayments
      • PaymentSubmitModel
      • RegimeTypes
      • RequirementsSubmitModel
      • SpotGoDocumentType
      • TemperatureSubmitModel
      • VehicleAddressSubmitModel
      • VehicleLoadingLocationSubmitModel
      • VehicleLocationPeriodSubmitModel
      • VehicleRequirementsSubmitModel
      • VehicleResultViewModel
      • VehicleSubmitModel
      • VehicleUnloadingLocationSubmitModel
      • WebhookAuthType
      • WebhookAuthentication
      • WebhookEventType
      • WebhookItemViewModel
      • WebhookSubscriptionRequest
      • WebhookSubscriptionResponse
      • WebhookViewModel
    • WebhookSubscriptionNotificationsRequest
    • CarrierOrderStatus
    • CarrierSubmitModel
    • CarrierViewModel
    • DocumentRejectionReason
    • OrderViewModel
    • ProblemDetails
    • DocumentStatusChangeSubmitModel
    • ExternalErrorItemViewModel
    • ExternalErrorViewModel
    • OrderDetailsSubmitModel
    • OrderDetailsViewModel
    • OrderDocumentStatus
    • OrderDocumentViewModel
    • OrderLocationSubmitModel
    • OrderLocationType
    • OrderLocationViewModel
    • OrderQueryItemViewModel
    • OrderQuerySubmitModel
    • OrderQueryViewModel
    • OrderShareViewModel
    • OrderSubmitModel
    • OrderUpsertViewModel
    • PositionSubmitModel
    • QueryDateRange
  1. CarrierPortal

/api/v1/orders/upsert

POST
https://api-test.spotgo.eu/api/v1/orders/upsert
Used for creating and updating order information.
Uniqueness checked by orderNumber if the carrier information changed VATCode the unique link will be regenerated.
Always returns the link to the documents upload site.

Request

Body Params application/json; x-api-version=1.0

Examples

Responses

🟢200
application/json; x-api-version=1.0
OK
Body

🟠400
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-test.spotgo.eu/api/v1/orders/upsert' \
--header 'Content-Type: application/json; x-api-version=1.0' \
--data '{
    "orderNumber": "string",
    "manager": {
        "name": "string",
        "email": "string"
    },
    "carrier": {
        "name": "string",
        "email": "string",
        "vatCode": "string"
    },
    "internalComments": "string",
    "details": {
        "weight": 0,
        "licensePlates": [
            "string"
        ]
    },
    "pricing": {
        "totalAmount": 1250.0,
        "currency": "EUR"
    },
    "locations": [
        {
            "sequence": 0,
            "type": "Loading",
            "startDate": "2019-08-24T14:15:22.123Z",
            "endDate": "2019-08-24T14:15:22.123Z",
            "name": "string",
            "countryCode": "st",
            "postalCode": "string",
            "city": "string",
            "street": "string",
            "position": {
                "latitude": 0,
                "longitude": 0
            },
            "weight": 24000,
            "requiredDocuments": []
        },
        {
            "sequence": 1,
            "type": "Unloading",
            "startDate": "2019-08-25T10:00:00.000Z",
            "endDate": "2019-08-25T10:00:00.000Z",
            "name": "string",
            "countryCode": "st",
            "postalCode": "string",
            "city": "string",
            "street": "string",
            "position": {
                "latitude": 0,
                "longitude": 0
            },
            "weight": 24000,
            "requiredDocuments": [
                {
                    "internalId": "d4e5f6a7-b8c9-0123-def0-234567890123",
                    "type": "pod"
                },
                {
                    "internalId": "c3d4e5f6-a7b8-9012-cdef-123456789012",
                    "type": "cmr"
                }
            ]
        }
    ]
}'
Response Response Example
200 - Example 1
{
    "created": true,
    "updated": true,
    "linkChanged": true,
    "order": {
        "orderId": "b3e1eced-f2bd-4d8c-9765-fbc9d1d222d5",
        "status": "Created",
        "orderNumber": "string",
        "createdAt": "2019-08-24T14:15:22.123Z",
        "carrier": {
            "name": "string",
            "email": "string",
            "vatCode": "string"
        },
        "requiredDocumentTypes": [
            "string"
        ],
        "internalComments": "string",
        "details": {
            "weight": 0,
            "licensePlates": [
                "string"
            ]
        },
        "locations": [
            {
                "sequence": 0,
                "type": "Loading",
                "startDate": "2019-08-24T14:15:22.123Z",
                "endDate": "2019-08-24T14:15:22.123Z",
                "name": "string",
                "countryCode": "st",
                "postalCode": "string",
                "city": "string",
                "street": "string",
                "position": {
                    "latitude": 0,
                    "longitude": 0
                }
            }
        ],
        "documents": [
            {
                "documentId": "4704590c-004e-410d-adf7-acb7ca0a7052",
                "name": "string",
                "documentType": "string",
                "comment": "string",
                "status": "Processing"
            }
        ],
        "share": {
            "shareUrl": "string"
        }
    }
}
Modified at 2026-06-01 05:23:13
Previous
/api/v1/orders/{orderId}
Next
/api/v1/orders/query
Built with